YAML::PP::Schema::YAML1_1(3pm)

NAME
YAML::PP::Schema::YAML1_1 - YAML 1.1 Schema for YAML::PP

SYNOPSIS
    use YAML::PP;

    my $yp = YAML::PP->new( schema => ['YAML1_1'] );
    my $yaml = <<'EOM';
    ---
    booltrue: [ true, True, TRUE, y, Y, yes, Yes, YES, on, On, ON ]
    EOM
    my $data = $yp->load_string($yaml);

DESCRIPTION
This schema allows you to load the common YAML Types from YAML 1.1.

METHODS

register
    Called by YAML::PP::Schema

SEE ALSO

<https://yaml.org/type/null.html>
<https://yaml.org/type/float.html>
<https://yaml.org/type/int.html>
<https://yaml.org/type/bool.html>